<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="ro">
<head>
<!-- Generated by javadoc (1.8.0_241) on Wed May 06 12:57:07 EEST 2020 -->
<title>Restaurant</title>
<meta name="date" content="2020-05-06">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Restaurant";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../BusinessLayer/Order.html" title="class in BusinessLayer"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../index.html?BusinessLayer/Restaurant.html" target="_top">Frames</a></li>
<li><a href="Restaurant.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">BusinessLayer</div>
<h2 title="Class Restaurant" class="title">Class Restaurant</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>java.util.Observable</li>
<li>
<ul class="inheritance">
<li>BusinessLayer.Restaurant</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../BusinessLayer/IRestaurantProcessing.html" title="interface in BusinessLayer">IRestaurantProcessing</a>, java.io.Serializable</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">Restaurant</span>
extends java.util.Observable
implements java.io.Serializable, <a href="../BusinessLayer/IRestaurantProcessing.html" title="interface in BusinessLayer">IRestaurantProcessing</a></pre>
<div class="block">Aceasta clasa implementeaza diverse functionalitati specifice unui restaurant. Metodele
 din aceasta clasa vor fi apelate de catre clasele AdministratorGUI si WaiterGUI.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../serialized-form.html#BusinessLayer.Restaurant">Serialized Form</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../BusinessLayer/Restaurant.html#Restaurant--">Restaurant</a></span>()</code>
<div class="block">Constructorul clasei (fara parametrii) care instantiaza obiectele corespunzatoare meniului, respectiv comenzilor</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../BusinessLayer/Restaurant.html#deleteProduct-java.lang.String-">deleteProduct</a></span>(java.lang.String&nbsp;name)</code>
<div class="block">Aceata metoda se ocupa cu stergerea unui produs din meniu, fiind apelata de administrator
 in cadrul ferestrei corespunzatoare.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../BusinessLayer/Restaurant.html#existsOrders--">existsOrders</a></span>()</code>
<div class="block">Metoda care verifica daca s-au efectuat comenzi in restaurant</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../BusinessLayer/Restaurant.html#existsProducts--">existsProducts</a></span>()</code>
<div class="block">Metoda care testeaza daca se afla produse in meniu la lansarea aplicatei</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../BusinessLayer/Restaurant.html#generateBill-java.util.HashMap-int-">generateBill</a></span>(java.util.HashMap&lt;<a href="../BusinessLayer/Order.html" title="class in BusinessLayer">Order</a>,java.util.ArrayList&lt;<a href="../BusinessLayer/MenuItem.html" title="interface in BusinessLayer">MenuItem</a>&gt;&gt;&nbsp;orders,
            int&nbsp;idOrder)</code>
<div class="block">Aceasta metoda are rolul de a calcula pretul comenzii si de genera nota de plata pentru o anumita
 comanda a carei id este primit ca parametru, apeland metoda bill din clasa FileWriter</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../BusinessLayer/MenuItem.html" title="interface in BusinessLayer">MenuItem</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../BusinessLayer/Restaurant.html#getMenu--">getMenu</a></span>()</code>
<div class="block">metoda care returneaza meniul restaurantului</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.util.HashMap&lt;<a href="../BusinessLayer/Order.html" title="class in BusinessLayer">Order</a>,java.util.ArrayList&lt;<a href="../BusinessLayer/MenuItem.html" title="interface in BusinessLayer">MenuItem</a>&gt;&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../BusinessLayer/Restaurant.html#getOrders--">getOrders</a></span>()</code>
<div class="block">metoda care returneaza comenzile procesate in cadrul restaurantului</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../BusinessLayer/Restaurant.html#insertBaseProduct-java.lang.String-double-">insertBaseProduct</a></span>(java.lang.String&nbsp;name,
                 double&nbsp;price)</code>
<div class="block">Aceasta metoda se ocupa cu inserarea unui BaseProdus in meniu, urmand sa fie apelata
 de catre administrator din cadrul ferestrei corespunzatoare.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../BusinessLayer/Restaurant.html#insertCompositeProduct-java.lang.String-java.util.ArrayList-">insertCompositeProduct</a></span>(java.lang.String&nbsp;name,
                      java.util.ArrayList&lt;<a href="../BusinessLayer/MenuItem.html" title="interface in BusinessLayer">MenuItem</a>&gt;&nbsp;ingredients)</code>
<div class="block">Aceasta metoda se ocupa cu inserarea unui CompositeProdus in meniu, urmand sa fie apelata
 de catre administrator din cadrul ferestrei corespunzatoare.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../BusinessLayer/Restaurant.html#insertOrder-BusinessLayer.Order-java.util.ArrayList-">insertOrder</a></span>(<a href="../BusinessLayer/Order.html" title="class in BusinessLayer">Order</a>&nbsp;o,
           java.util.ArrayList&lt;<a href="../BusinessLayer/MenuItem.html" title="interface in BusinessLayer">MenuItem</a>&gt;&nbsp;orderProducts)</code>
<div class="block">Aceasta metoda se ocupa cu inserarea unei noi comenzi si notificarea chef-ului de fiecare data cand
 in lista de produse comandate se gaseste un produs compus.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../BusinessLayer/Restaurant.html#updateProduct-int-java.lang.String-double-java.util.ArrayList-">updateProduct</a></span>(int&nbsp;id,
             java.lang.String&nbsp;name,
             double&nbsp;price,
             java.util.ArrayList&lt;<a href="../BusinessLayer/MenuItem.html" title="interface in BusinessLayer">MenuItem</a>&gt;&nbsp;ingredients)</code>
<div class="block">Aceasta metoda se ocupa cu actualizarea unui produs specificat in cadrul interfetei prin id ul acestuia.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.util.Observable">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.util.Observable</h3>
<code>addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers, setChanged</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Restaurant--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Restaurant</h4>
<pre>public&nbsp;Restaurant()</pre>
<div class="block">Constructorul clasei (fara parametrii) care instantiaza obiectele corespunzatoare meniului, respectiv comenzilor</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getMenu--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMenu</h4>
<pre>public&nbsp;java.util.List&lt;<a href="../BusinessLayer/MenuItem.html" title="interface in BusinessLayer">MenuItem</a>&gt;&nbsp;getMenu()</pre>
<div class="block">metoda care returneaza meniul restaurantului</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>meniul restaurantului</dd>
</dl>
</li>
</ul>
<a name="getOrders--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOrders</h4>
<pre>public&nbsp;java.util.HashMap&lt;<a href="../BusinessLayer/Order.html" title="class in BusinessLayer">Order</a>,java.util.ArrayList&lt;<a href="../BusinessLayer/MenuItem.html" title="interface in BusinessLayer">MenuItem</a>&gt;&gt;&nbsp;getOrders()</pre>
<div class="block">metoda care returneaza comenzile procesate in cadrul restaurantului</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>comenzile</dd>
</dl>
</li>
</ul>
<a name="insertBaseProduct-java.lang.String-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>insertBaseProduct</h4>
<pre>public&nbsp;java.lang.String&nbsp;insertBaseProduct(java.lang.String&nbsp;name,
                                          double&nbsp;price)</pre>
<div class="block">Aceasta metoda se ocupa cu inserarea unui BaseProdus in meniu, urmand sa fie apelata
 de catre administrator din cadrul ferestrei corespunzatoare.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../BusinessLayer/IRestaurantProcessing.html#insertBaseProduct-java.lang.String-double-">insertBaseProduct</a></code>&nbsp;in interface&nbsp;<code><a href="../BusinessLayer/IRestaurantProcessing.html" title="interface in BusinessLayer">IRestaurantProcessing</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - numele produsului</dd>
<dd><code>price</code> - pretul produsului</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>mesaj de succes sau de eroare</dd>
</dl>
</li>
</ul>
<a name="insertCompositeProduct-java.lang.String-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>insertCompositeProduct</h4>
<pre>public&nbsp;java.lang.String&nbsp;insertCompositeProduct(java.lang.String&nbsp;name,
                                               java.util.ArrayList&lt;<a href="../BusinessLayer/MenuItem.html" title="interface in BusinessLayer">MenuItem</a>&gt;&nbsp;ingredients)</pre>
<div class="block">Aceasta metoda se ocupa cu inserarea unui CompositeProdus in meniu, urmand sa fie apelata
 de catre administrator din cadrul ferestrei corespunzatoare.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../BusinessLayer/IRestaurantProcessing.html#insertCompositeProduct-java.lang.String-java.util.ArrayList-">insertCompositeProduct</a></code>&nbsp;in interface&nbsp;<code><a href="../BusinessLayer/IRestaurantProcessing.html" title="interface in BusinessLayer">IRestaurantProcessing</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - numele produsului</dd>
<dd><code>ingredients</code> - ingredientele pe care le contine acest produs</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>mesaj de succes sau de eroare</dd>
</dl>
</li>
</ul>
<a name="deleteProduct-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deleteProduct</h4>
<pre>public&nbsp;java.lang.String&nbsp;deleteProduct(java.lang.String&nbsp;name)</pre>
<div class="block">Aceata metoda se ocupa cu stergerea unui produs din meniu, fiind apelata de administrator
 in cadrul ferestrei corespunzatoare. Odata cu stergerea produslui din meniu se vor sterge
 si toate produsele care-l contin.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../BusinessLayer/IRestaurantProcessing.html#deleteProduct-java.lang.String-">deleteProduct</a></code>&nbsp;in interface&nbsp;<code><a href="../BusinessLayer/IRestaurantProcessing.html" title="interface in BusinessLayer">IRestaurantProcessing</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - numele produsului care urmeaza a fi strers</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>mesaj de succes sau de eroare</dd>
</dl>
</li>
</ul>
<a name="updateProduct-int-java.lang.String-double-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateProduct</h4>
<pre>public&nbsp;void&nbsp;updateProduct(int&nbsp;id,
                          java.lang.String&nbsp;name,
                          double&nbsp;price,
                          java.util.ArrayList&lt;<a href="../BusinessLayer/MenuItem.html" title="interface in BusinessLayer">MenuItem</a>&gt;&nbsp;ingredients)</pre>
<div class="block">Aceasta metoda se ocupa cu actualizarea unui produs specificat in cadrul interfetei prin id ul acestuia.
 Actualizarea se face in functie de campurile completate in interfata, daca un anumit camp nu este completat el
 nu se va actualiza, ci va ramane la fel ca inaite. Modificare unui produs se va face si in toate celelate produse
 care il contin.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../BusinessLayer/IRestaurantProcessing.html#updateProduct-int-java.lang.String-double-java.util.ArrayList-">updateProduct</a></code>&nbsp;in interface&nbsp;<code><a href="../BusinessLayer/IRestaurantProcessing.html" title="interface in BusinessLayer">IRestaurantProcessing</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>id</code> - id ul prodului</dd>
<dd><code>name</code> - noul nume al produsului</dd>
<dd><code>price</code> - noul pret al produslui</dd>
<dd><code>ingredients</code> - noua lista de ingrediente a produsului</dd>
</dl>
</li>
</ul>
<a name="insertOrder-BusinessLayer.Order-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>insertOrder</h4>
<pre>public&nbsp;void&nbsp;insertOrder(<a href="../BusinessLayer/Order.html" title="class in BusinessLayer">Order</a>&nbsp;o,
                        java.util.ArrayList&lt;<a href="../BusinessLayer/MenuItem.html" title="interface in BusinessLayer">MenuItem</a>&gt;&nbsp;orderProducts)</pre>
<div class="block">Aceasta metoda se ocupa cu inserarea unei noi comenzi si notificarea chef-ului de fiecare data cand
 in lista de produse comandate se gaseste un produs compus. Aceasta metoda va fi apelata de waiter,
 in cadrul ferestrei corespunzatoare.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../BusinessLayer/IRestaurantProcessing.html#insertOrder-BusinessLayer.Order-java.util.ArrayList-">insertOrder</a></code>&nbsp;in interface&nbsp;<code><a href="../BusinessLayer/IRestaurantProcessing.html" title="interface in BusinessLayer">IRestaurantProcessing</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>o</code> - comanda care urmeaza a fi inserata</dd>
<dd><code>orderProducts</code> - produsele comandate</dd>
</dl>
</li>
</ul>
<a name="generateBill-java.util.HashMap-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>generateBill</h4>
<pre>public&nbsp;void&nbsp;generateBill(java.util.HashMap&lt;<a href="../BusinessLayer/Order.html" title="class in BusinessLayer">Order</a>,java.util.ArrayList&lt;<a href="../BusinessLayer/MenuItem.html" title="interface in BusinessLayer">MenuItem</a>&gt;&gt;&nbsp;orders,
                         int&nbsp;idOrder)</pre>
<div class="block">Aceasta metoda are rolul de a calcula pretul comenzii si de genera nota de plata pentru o anumita
 comanda a carei id este primit ca parametru, apeland metoda bill din clasa FileWriter</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../BusinessLayer/IRestaurantProcessing.html#generateBill-java.util.HashMap-int-">generateBill</a></code>&nbsp;in interface&nbsp;<code><a href="../BusinessLayer/IRestaurantProcessing.html" title="interface in BusinessLayer">IRestaurantProcessing</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>orders</code> - lista de comenzi</dd>
<dd><code>idOrder</code> - id ul comenzii</dd>
</dl>
</li>
</ul>
<a name="existsProducts--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>existsProducts</h4>
<pre>public&nbsp;void&nbsp;existsProducts()</pre>
<div class="block">Metoda care testeaza daca se afla produse in meniu la lansarea aplicatei</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../BusinessLayer/IRestaurantProcessing.html#existsProducts--">existsProducts</a></code>&nbsp;in interface&nbsp;<code><a href="../BusinessLayer/IRestaurantProcessing.html" title="interface in BusinessLayer">IRestaurantProcessing</a></code></dd>
</dl>
</li>
</ul>
<a name="existsOrders--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>existsOrders</h4>
<pre>public&nbsp;void&nbsp;existsOrders()</pre>
<div class="block">Metoda care verifica daca s-au efectuat comenzi in restaurant</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../BusinessLayer/IRestaurantProcessing.html#existsOrders--">existsOrders</a></code>&nbsp;in interface&nbsp;<code><a href="../BusinessLayer/IRestaurantProcessing.html" title="interface in BusinessLayer">IRestaurantProcessing</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../BusinessLayer/Order.html" title="class in BusinessLayer"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../index.html?BusinessLayer/Restaurant.html" target="_top">Frames</a></li>
<li><a href="Restaurant.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
